Subject: Re: linux-next: build warning after merge of the iio tree

From: Jonathan Cameron <[email-masked]>
Date: Thu, 7 Nov 2024 12:25:00 +0000

On Thu, 7 Nov 2024 22:40:12 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> After merging the iio tree, today's linux-next build (htmldocs) produced
> this warning:
> 
> include/linux/iio/iio.h:628: warning: Function parameter or struct member '__private' not described in 'iio_dev'
> include/linux/iio/iio.h:628: warning: Excess struct member 'priv' description in 'iio_dev'
> 
> Introduced by commit
> 
>   9a5a2483bc60 ("iio: Mark iio_dev::priv member with __private")
> 

I guess we need to teach the kernel-doc script about __private.
May be just a case of doing the same as done for __aligned, __packed etc.

Also curious why I've not seen warnings in the past about the masklength field
in the same structure.  I guess the test coverage has improved (or I missed
the reports!).

 So a 
   $members =~ s/\s*__private\s*\([^;]*\)/ /gos;

about here:
https://elixir.free-electrons.com/linux/v6.11.6/source/scripts/kernel-doc#L1148

Jon, does that make sense to you?  

Completely untested as I'm on wrong computer at the moment and my approach
to these scripts is cut and paste a similar smelling line until it works ;)

Jonathan